import { AfterContentInit, ElementRef, EventEmitter } from '@angular/core';
import { DatetimeAdapter } from '../adapter/datetime-adapter';
import { MatDatetimepickerFilterType } from './datetimepicker-filtertype';
import * as i0 from "@angular/core";
export declare const CLOCK_RADIUS = 50;
export declare const CLOCK_INNER_RADIUS = 27.5;
export declare const CLOCK_OUTER_RADIUS = 41.25;
export declare const CLOCK_TICK_RADIUS = 7.0833;
export type MatClockView = 'hour' | 'minute';
/**
 * A clock that is used as part of the datepicker.
 * @docs-private
 */
export declare class MatDatetimepickerClockComponent<D> implements AfterContentInit {
    private _element;
    private _adapter;
    _userSelection: EventEmitter<void>;
    /** A function used to filter which dates are selectable. */
    dateFilter: (date: D, type: MatDatetimepickerFilterType) => boolean;
    interval: number;
    twelvehour: boolean;
    /** Emits when the currently selected date changes. */
    selectedChange: EventEmitter<D>;
    activeDateChange: EventEmitter<D>;
    /** Hours and Minutes representing the clock view. */
    _hours: object[];
    _minutes: object[];
    /** Whether the clock is in hour view. */
    _hourView: boolean;
    _selectedHour: number;
    _selectedMinute: number;
    private _timeChanged;
    private mouseMoveListener;
    private mouseUpListener;
    constructor(_element: ElementRef, _adapter: DatetimeAdapter<D>);
    private _activeDate;
    /**
     * The date to display in this clock view.
     */
    get activeDate(): D;
    set activeDate(value: D);
    private _selected;
    /** The currently selected date. */
    get selected(): D | null;
    set selected(value: D | null);
    private _minDate;
    /** The minimum selectable date. */
    get minDate(): D | null;
    set minDate(value: D | null);
    private _maxDate;
    /** The maximum selectable date. */
    get maxDate(): D | null;
    set maxDate(value: D | null);
    /** Whether the clock should be started in hour or minute view. */
    set startView(value: MatClockView);
    get _hand(): any;
    ngAfterContentInit(): void;
    /** Handles mousedown events on the clock body. */
    _handleMousedown(event: any): void;
    _handleMousemove(event: any): void;
    _handleMouseup(): void;
    /** Initializes this clock view. */
    private _init;
    /**
     * Set Time
     * @param event
     */
    private setTime;
    static ɵfac: i0.ɵɵFactoryDeclaration<MatDatetimepickerClockComponent<any>, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MatDatetimepickerClockComponent<any>, "mat-datetimepicker-clock", never, { "dateFilter": { "alias": "dateFilter"; "required": false; }; "interval": { "alias": "interval"; "required": false; }; "twelvehour": { "alias": "twelvehour"; "required": false; }; "activeDate": { "alias": "activeDate"; "required": false; }; "selected": { "alias": "selected"; "required": false; }; "minDate": { "alias": "minDate"; "required": false; }; "maxDate": { "alias": "maxDate"; "required": false; }; "startView": { "alias": "startView"; "required": false; }; }, { "_userSelection": "_userSelection"; "selectedChange": "selectedChange"; "activeDateChange": "activeDateChange"; }, never, never, false, never>;
}
